# \[DEPRECATED] add (pending limit order) (authorized)

**POST pending/authorized/add**

{% hint style="warning" %}
This is a deprecated API. Please, migrate to use of [/algo/authorized/order/add](https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/rest-api/trading/order-book-and-qs/algo-orders/authorized-operations/algo-authorized-order-add)
{% endhint %}

{% hint style="info" %}
Method works similar to the `api/add`

Please note, that authorized pending QS orders are not available yet. QS-related fields will be ignored.
{% endhint %}

{% tabs %}
{% tab title="Payload" %}

```json
{
    "clientId": int,
    "instrument": "string",
    "clientOrderId": "int",
    "price": "int",
    "size": "int",
    "volume": "int",
    "side": "string" // "ask" or "bid" (case-insensitive)
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "id": "int",
    "clientOrderId": "int",
    "cancelReason": "int"
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": "int"
}
```

{% endtab %}
{% endtabs %}

**Response description**

• **Cancel Reason:** Specifies why an order was canceled (e.g., user action, system failure).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/pending-limit-orders/deprecated-add-pending-limit-order-authorized.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
